require "shape.lua"
require "control.lua"
require "ui.lua"

function love.load()
	--love.graphics.toggleFullscreen()

	bk = love.graphics.newImage("background.png")
	hex = love.graphics.newImage("hexagon.png")
	hex:setFilter("nearest","nearest")
	empty = love.graphics.newImage("hexagonempty.png")
	empty:setFilter("nearest","nearest")
	
	hexhalo = love.graphics.newImage("hexhalo.png")
	
	
	font1 = love.graphics.newFont( "pixelfont.ttf", x )
	love.graphics.setFont( font1 )
	mapsize = 10
	lvc = {225,150,150}
	id = 1
	id2 = 1
	--
	debug = 0
	current = 1
	
	
	hextable = {}
	hexAdd()
	
	--[[
	{x=210,y=50,s=1,r=200,g=50,b=50,t=200},
	{x=170,y=75,s=1,r=200,g=50,b=50,t=200},
	{x=250,y=75,s=1,r=200,g=50,b=50,t=200},
	{x=210,y=100,s=1,r=200,g=50,b=50,t=200},
	{x=170,y=125,s=1,r=200,g=50,b=50,t=200},
	{x=250,y=125,s=1,r=200,g=50,b=50,t=200},
	{x=210,y=150,s=1,r=200,g=50,b=50,t=200}
]]

end

function love.update(dt)
	
end


function love.draw()
	background()
	hexDraw()
	uiDraw()
	if debug == 1 then
		love.graphics.setColor(255,255,255)
		love.graphics.print(love.mouse.getX()..":"..love.mouse.getY(),20,50)
		love.graphics.print("fps ="..love.timer.getFPS(),90,50)
		love.graphics.print(hextable[current].x..":"..hextable[current].y,160,50)
		love.graphics.print(current,220,50)
		love.graphics.print("DEBUGMODE : ACTIVE",25,20)
	end
end

--[[
function love.draw()
	love.graphics.draw(hex,50,50,0,worldsize)
	love.graphics.draw(hex,130,50,0,worldsize)
	love.graphics.draw(hex,210,50,0,worldsize)
	
	love.graphics.draw(hex,10,75,0,worldsize)
	love.graphics.draw(hex,90,75,0,worldsize)
	love.graphics.draw(hex,170,75,0,worldsize)
	love.graphics.draw(hex,250,75,0,worldsize)
	
	love.graphics.draw(hex,50,100,0,worldsize)
	love.graphics.draw(hex,130,100,0,worldsize)
	love.graphics.draw(hex,210,100,0,worldsize)
	
	love.graphics.draw(hex,10,125,0,worldsize)
	love.graphics.draw(hex,90,125,0,worldsize)
	love.graphics.draw(hex,170,125,0,worldsize)
	love.graphics.draw(hex,250,125,0,worldsize)
	
	love.graphics.draw(hex,50,150,0,worldsize)
	love.graphics.draw(hex,130,150,0,worldsize)
	love.graphics.draw(hex,210,150,0,worldsize)
end]]

function love.keypressed(key,unicode)
	if key=="f1" then
		debug = 1
	end
	if key == "f2" then
		debug = 0
	end
	if key=="1" then
		current = current + 1
	end
	if key=="2" then
		current = current - 1
	end
	if key == 'escape' then
        love.event.push('q') -- quit the game
    end
end