activehex = null

hcc = 1
hc = {
{255,255,255},
{0,0,255},
{0,255,0},
{255,0,0},
{100,150,250},
{150,250,100},
{250,100,150}
}


function toggle(item)
	if item == 1 then
		item = 0
	elseif item == 0 then
		item = 1
	end
end



function love.mousepressed(x,y,button)
	if button == "l" then
		mouseAction(1)
	end
	if button == "r" then
		mouseAction(2)
	end
	if button == "wu" then
		mouseAction(3)
	end
	if button == "wd" then
		mouseAction(4)
	end
end

function mouseAction(action)
	local x = love.mouse.getX()
	local y = love.mouse.getY()
	if action == 1 then
		if x<895 and y<715 then
			activehex = nearestHexagon(x,y)
			hextable[activehex].I = hex
			hextable[activehex].r = hc[hcc][1]
			hextable[activehex].g = hc[hcc][2]
			hextable[activehex].b = hc[hcc][3]
		end
	elseif action == 2 then
		if x>895 and y>715 then
			activehex = null
		elseif x<895 and y<715 then
			activehex = null
			hextable[nearestHexagon(x,y)].I = empty
			hextable[nearestHexagon(x,y)].r = lvc[1]
			hextable[nearestHexagon(x,y)].g = lvc[2]
			hextable[nearestHexagon(x,y)].b = lvc[3]
		end
	elseif action == 3 then
		if activehex ~= null then
			if hextable[activehex].I ~= empty then
				if hcc < #hc then
					hcc = hcc + 1
				elseif hcc == #hc then
					hcc = 1
				end
			end
		end
	elseif action == 4 then
		if activehex ~= null then
			if hextable[activehex].I ~= empty then
				if hcc > 1 then
					hcc = hcc - 1
				elseif hcc == 1 then
					hcc = #hc
				end
			end
		end
	end
end



function nearestHexagon(x,y)
	current = nearestest(x,y)
	return current
end

function nearestest(x,y)
	for i,v in ipairs(hextable) do
		if checkCollision(x,y,1,1,v.x-20,v.y-20,40,40) == true then
			id = i
		end
	end
	return id
end

-- Collision detection function.
-- Checks if box1 and box2 overlap.
-- w and h mean width and height.
function checkCollision(box1x, box1y, box1w, box1h, box2x, box2y, box2w, box2h)
    if box1x > box2x + box2w - 1 or -- Is box1 on the right side of box2?
       box1y > box2y + box2h - 1 or -- Is box1 under box2?
       box2x > box1x + box1w - 1 or -- Is box2 on the right side of box1?
       box2y > box1y + box1h - 1    -- Is b2 under b1?
    then
        return false                -- No collision. Yay!
    else
        return true                 -- Yes collision. Ouch!
    end
end

-------------------------------------------------------------
----------------------------------USELESS OLD CODE

--[[
function nearestest(x,y)
	id = 1
	id2 = 1
	for i=1,#mousetable.x do
		if (mousetable.x[i] - x) <= (mousetable.x[id] - x) then
			id = i
		end
	end
	for i=1,15 do
		if (mousetable.y[i+(-22+i*22)] - y) <= (mousetable.y[i+(-22+i*22)] - y) then
			id2 = i
		end
	end
	return id
end
]]

--[[
mousetable = {
x = {},
y = {}
}

function mouseTableAdd ()
	for i = 1,mapsize*3 do 
		mouseTabler(i)
	end
end

function mouseTabler (pos)
	for i = 1,mapsize+1 do
		if math.mod(pos,2) ~= 0 then
			local x = -51 +(80*i)
			local y = 3 +(23*pos)
			table.insert(mousetable.x, x)
			table.insert(mousetable.y, y)
		end
		if math.mod(pos,2) == 0 then
			local x = -11 +(80*i)
			local y = 3 +(23*pos)
			table.insert(mousetable.x, x)
			table.insert(mousetable.y, y)
		end
	end
end
]]